#if !defined(AFX_DLGALARMCONFIG_H__A5E547DB_2A14_4BE7_A630_3545CA4326ED__INCLUDED_)
#define AFX_DLGALARMCONFIG_H__A5E547DB_2A14_4BE7_A630_3545CA4326ED__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgAlarmConfig.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDlgAlarmConfig dialog

class CDlgAlarmConfig : public CDialog
{
// Construction
public:
	CDlgAlarmConfig(CWnd* pParent = NULL);   // standard constructor
	LONG m_nUserId;
	BOOL m_bMotion;
	BOOL m_bAudioEnable;
// Dialog Data
	//{{AFX_DATA(CDlgAlarmConfig)
	enum { IDD = IDD_DLG_ALARM_CONFIG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgAlarmConfig)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgAlarmConfig)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnBtnMotionRegion();
	afx_msg void OnBtnSchedule();
	afx_msg void OnChkMotion();
	afx_msg void OnChkEnabelAlarm();
	afx_msg void OnChkAudioOutput();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGALARMCONFIG_H__A5E547DB_2A14_4BE7_A630_3545CA4326ED__INCLUDED_)
